Bug 68213 - passwd -d gives Segmentation Fault
passwd -d gives Segmentation Fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 03:33 EDT by Nico Zanferrari
Modified: 2013-07-02 18:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 01:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nico Zanferrari 2002-07-08 03:33:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
You have a Segmentation Fault everytime you try to clean the password for any 
user with "passwd -d username". This happens only if you have NOT enabled 
shadow passwords. And the password is not touched at all.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. disable shadow password
2. try "passwd -d root"

	

Additional info:

Tested on 3 different machines, with standard and updated RH73.
Comment 1 Jindrich Novy 2004-11-04 01:51:18 EST
Nico,

this works now with recent passwd. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.